import { ModalWidth } from '@oinone/kunlun-vue-ui-common';
import { PopupWidget, type PopupWidgetProps } from '../PopupWidget';
export type DialogWidgetProps = PopupWidgetProps;
export declare class DialogWidget<Props extends DialogWidgetProps = DialogWidgetProps> extends PopupWidget<Props> {
    protected getPopupScene(): string;
    initialize(props: Props): this;
    get destroyOnClose(): boolean;
    get title(): string | undefined;
    protected get help(): any;
    get draggable(): boolean;
    protected get wrapperClassName(): string | undefined;
    get width(): any;
    get height(): any;
    protected get defaultSize(): keyof typeof ModalWidth;
    get okText(): any;
    get cancelText(): any;
}
